 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.HorseStable.Globals"
 import "Homeopatix.HorseStable.MinimizedIcon"
 import "Homeopatix.HorseStable.VindarPatch"
 import "Homeopatix.HorseStable.Commands"
 import "Homeopatix.HorseStable.LoadSettings"
 import "Homeopatix.HorseStable.WindowSmall"
 import "Homeopatix.HorseStable.WindowBig"
 import "Homeopatix.HorseStable.WindowTiny"

Turbine.Shell.WriteLine("<rgb=#CC56DA>Horse Stable</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

function SaveSettings(value)
	if(value == 1) then
		settings.positionX = tostring(settings.positionX);
   		settings.positionY = tostring(settings.positionY);
	elseif(value == 2) then
		settings.minimizeX = tostring(settings.minimizeX);
   		settings.minimizeY = tostring(settings.minimizeY);
	elseif(value == 3) then
		settings.shortcutData_1 = tostring(settings.shortcutData_1);
   		settings.shortcutData_2 = tostring(settings.shortcutData_2);
   		settings.shortcutData_3 = tostring(settings.shortcutData_3);
   		settings.shortcutData_4 = tostring(settings.shortcutData_4);
   		settings.shortcutData_5 = tostring(settings.shortcutData_5);
   		settings.shortcutData_6 = tostring(settings.shortcutData_6);
   		settings.shortcutData_7 = tostring(settings.shortcutData_7);
   		settings.shortcutData_8 = tostring(settings.shortcutData_8);
   		settings.shortcutData_9 = tostring(settings.shortcutData_9);
   		settings.shortcutData_10 = tostring(settings.shortcutData_10);
   		settings.shortcutData_11 = tostring(settings.shortcutData_11);
   		settings.shortcutData_12 = tostring(settings.shortcutData_12);
   		settings.shortcutData_13 = tostring(settings.shortcutData_13);
   		settings.shortcutData_14 = tostring(settings.shortcutData_14);
   		settings.shortcutData_15 = tostring(settings.shortcutData_15);
   		settings.shortcutData_16 = tostring(settings.shortcutData_16);
   		settings.shortcutData_17 = tostring(settings.shortcutData_17);
   		settings.shortcutData_18 = tostring(settings.shortcutData_18);
   		settings.shortcutData_19 = tostring(settings.shortcutData_19);
   		settings.shortcutData_20 = tostring(settings.shortcutData_20);
   		settings.shortcutData_21 = tostring(settings.shortcutData_21);
   		settings.shortcutData_22 = tostring(settings.shortcutData_22);
   		settings.shortcutData_23 = tostring(settings.shortcutData_23);
   		settings.shortcutData_24 = tostring(settings.shortcutData_24);
   		settings.shortcutData_25 = tostring(settings.shortcutData_25);
   		settings.shortcutData_26 = tostring(settings.shortcutData_26);
   		settings.shortcutData_27 = tostring(settings.shortcutData_27);
   		settings.shortcutData_28 = tostring(settings.shortcutData_28);
   		settings.shortcutData_29 = tostring(settings.shortcutData_29);
   		settings.shortcutData_30 = tostring(settings.shortcutData_30);
   		settings.shortcutData_31 = tostring(settings.shortcutData_31);
   		settings.shortcutData_32 = tostring(settings.shortcutData_32);
   		settings.shortcutData_33 = tostring(settings.shortcutData_33);
   		settings.shortcutData_34 = tostring(settings.shortcutData_34);
   		settings.shortcutData_35 = tostring(settings.shortcutData_35);
   		settings.shortcutData_36 = tostring(settings.shortcutData_36);
   		settings.shortcutData_37 = tostring(settings.shortcutData_37);
   		settings.shortcutData_38 = tostring(settings.shortcutData_38);
   		settings.shortcutData_39 = tostring(settings.shortcutData_39);
   		settings.shortcutData_40 = tostring(settings.shortcutData_40);
		settings.shortcutData_41 = tostring(settings.shortcutData_41);
		settings.shortcutData_42 = tostring(settings.shortcutData_42);
		settings.shortcutData_43 = tostring(settings.shortcutData_43);
		settings.shortcutData_44 = tostring(settings.shortcutData_44);
		settings.shortcutData_45 = tostring(settings.shortcutData_45);
		settings.shortcutData_46 = tostring(settings.shortcutData_46);
		settings.shortcutData_47 = tostring(settings.shortcutData_47);
		settings.shortcutData_48 = tostring(settings.shortcutData_48);
		settings.shortcutData_49 = tostring(settings.shortcutData_49);
		settings.shortcutData_50 = tostring(settings.shortcutData_50);

	elseif(value == 4) then
		settings.isWindowVisible = settings.isWindowVisible;	
		
	elseif(value == 5) then
		settings.pluginSize = tostring(settings.pluginSize);
	end
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Character, "HorseStable_Settings", settings);
end

CreateLocalizationInfo();
LoadSettings();

if(settings.pluginSize == "tiny")then -- charge le plugin par sa taille
	CreateTinyWindow();
elseif(settings.pluginSize == "small")then -- charge le plugin par sa taille
	CreateSmallWindow();
elseif(settings.pluginSize == "big")then -- charge le plugin par sa taille
	CreateBigWindow();
end

HorseStableWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings(4);
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			HorseStableWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			HorseStableWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end


function HorseStableWindow:Closing(sender, args)
	settings.isWindowVisible = false;
	SaveSettings(4);
end

------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	HorseStableWindow.PositionChanged = function( sender, args )
    	local x,y = HorseStableWindow:GetPosition();
    	settings.positionX = x;
    	settings.positionY = y;
		SaveSettings(1);
	end

				
	



